Bug 14893 - winexe crashes since 4.15.0 after popt parsing
Summary: winexe crashes since 4.15.0 after popt parsing
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other (show other bugs)
Version: 4.15.1
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-04 21:23 UTC by Guenther Deschner
Modified: 2021-11-10 18:04 UTC (History)
1 user (show)

See Also:


Attachments
patch from master for v4-15-test (1.75 KB, patch)
2021-11-05 12:58 UTC, Guenther Deschner
asn: review+
gd: ci-passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2021-11-04 21:23:28 UTC

    
Comment 1 Guenther Deschner 2021-11-04 21:30:48 UTC
Initially found on fedora: https://bugzilla.redhat.com/show_bug.cgi?id=2020376

A newly added popt free invalidates the parsed hostname string.
Comment 2 Samba QA Contact 2021-11-05 11:44:04 UTC
This bug was referenced in samba master:

e9495d2ed28a26899dc3dd77bdfe56e284980218
Comment 3 Guenther Deschner 2021-11-05 12:58:25 UTC
Created attachment 16961 [details]
patch from master for v4-15-test
Comment 4 Andreas Schneider 2021-11-08 12:16:57 UTC
Comment on attachment 16961 [details]
patch from master for v4-15-test

LGTM
Comment 5 Andreas Schneider 2021-11-08 12:17:53 UTC
Jule, please add the patch to 4.15.x. Thanks!
Comment 6 Jule Anger 2021-11-10 14:34:42 UTC
Pushed to autobuild-v4-15-test.
Comment 7 Samba QA Contact 2021-11-10 17:09:14 UTC
This bug was referenced in samba v4-15-test:

962b7b0f92d37867296b8e30c5ae659e9544a16f
Comment 8 Jule Anger 2021-11-10 18:04:11 UTC
Closing out bug report.

Thanks!